%define mysql_host      localhost
%define mysql_user      vpopmailuser
%define mysql_pass      vpopmailpass
%define mysql_db        vpopmail
%define qdir		/var/qmail
%define qspool		/var/spool/qscan

Name:		qmail-scanner
Summary:	Content Scanner for Qmail
Version:	2.10
Release:	5.1
License:        GNU
Group:          Productivity/Networking/Email/Servers
Source0:	%{name}-%{version}.tgz
Source1:	%{name}-%{version}_sql.sql
Source2:	%{name}-rpmlintrc
Patch0:		%{name}-%{version}_sql.diff
Patch1:		%{name}-root-check.diff
Patch2:		%{name}-mhr.diff
Buildroot:      %{_tmppath}/%{name}-%{version}-build

BuildRequires:	vpopmail perl spamassassin unzip perl-DBI logrotate bind-utils sophie daemontools ripmime
Requires:	vpopmail perl spamassassin unzip sophie
Requires:	perl-DBI
Requires:	logrotate
Requires:	bind-utils

%if 0%{?suse_version}
BuildRequires:  clamav
Requires:	clamav
%endif

%if 0%{?fedora_version} || 0%{?rhel_version} || 0%{?centos_version}
BuildRequires:	clamav clamav-server clamav-update
Requires:	clamav clamav-server clamav-update
%endif

%description
Qmail-Scanner is an add-on that enables a Qmail email server 
to scan gatewayed email for certain characteristics (i.e. a content scanner). 
It is typically used for its anti-virus and anti-spam protection functions, 
in which case it is used in conjunction with external scanners. 
It also enables a site (at a server/site level) to create 
"Policy blocks": i.e. react to email that contains specific 
strings in particular headers, or particular attachment filenames or types (e.g. *.VBS attachments).

%prep
%setup -q
%patch0
%patch1
%patch2

%build
./configure --mysql-db %{mysql_db} \
 --mysql-user %{mysql_user} \
 --mysql-pass %{mysql_pass} \
 --mysql-host %{mysql_host} \
 --qmaildir %{qdir} \
 --bindir %{qdir}/bin \
 --spooldir %{qspool} \
 --qmail-queue-binary %{qdir}/bin/qmail-queue \
 --admin hostmaster \
 --domain localhost \
 --notify none \
 --silent-viruses auto \
 --debug yes \
 --unzip 1 \
 --add-dscr-hdrs yes \
 --archive 0 \
 --redundant yes \
 --log-details yes \
 --log-crypto 0 \
 --fix-mime 2 \
 --ignore-eol-check 0 \
 --scanners "auto" \
 --batch \
 --no-QQ-check \
 --skip-setuid-test \
 --qs-user vpopmail

%install
mkdir -p %{buildroot}%{qspool} %{buildroot}%{qdir}/bin
mkdir -p %{buildroot}%{qspool}/quarantine/viruses/tmp %{buildroot}%{qspool}/quarantine/viruses/cur %{buildroot}%{qspool}/quarantine/viruses/new
mkdir -p %{buildroot}%{qspool}/quarantine/spam/tmp %{buildroot}%{qspool}/quarantine/spam/cur %{buildroot}%{qspool}/quarantine/spam/new
mkdir -p %{buildroot}%{qspool}/quarantine/policy/tmp %{buildroot}%{qspool}/quarantine/policy/cur %{buildroot}%{qspool}/quarantine/policy/new
mkdir -p %{buildroot}%{qspool}/working/tmp %{buildroot}%{qspool}/working/cur %{buildroot}%{qspool}/working/new
mkdir -p %{buildroot}%{qspool}/archive/tmp %{buildroot}%{qspool}/archive/cur %{buildroot}%{qspool}/archive/new
mkdir -p %{buildroot}/%{qdir}/supervise/qmail-smtpd/env/
mkdir -p %{buildroot}/%{_defaultdocdir}/%{name}
cp %{S:1} $RPM_BUILD_DIR/%{name}-%{version}/%{name}.sql
cp quarantine-events.txt %{buildroot}%{qspool}/
cp qmail-scanner-queue.pl %{buildroot}%{qdir}/bin/qmail-scanner-queue.pl
mkdir -p %{buildroot}%{_sysconfdir}/logrotate.d/
cp contrib/logrotate.qmail-scanner %{buildroot}%{_sysconfdir}/logrotate.d/qmail-scanner
echo "%{qdir}/bin/qmail-scanner-queue.pl" > %{buildroot}/%{qdir}/supervise/qmail-smtpd/env/QMAILQUEUE

%post
if [ "$1" == "1" ]; then
%{fillup_and_insserv -fy spamd}
%{fillup_and_insserv -fy freshclam}
%{fillup_and_insserv -fy clamd}
chmod 4755 %{_bindir}/suidperl
%{qdir}/bin/qmail-scanner-queue.pl -z
%{qdir}/bin/qmail-scanner-queue.pl -g
fi

%clean
rm -rf %{buildroot}

%files
%attr(0644,root,root) %doc *.php README* CHANGES COPYING %{name}.sql
%config %attr(-,root,root) %{_sysconfdir}/logrotate.d/qmail-scanner
%defattr(4755,vpopmail,vchkpw)
%{qdir}/bin/qmail-scanner-queue.pl
%defattr(-,vpopmail,vchkpw)
%{qspool}
%defattr(0600,qmaill,qmail)
%{qdir}/supervise/qmail-smtpd/env/QMAILQUEUE

%changelog
* Thu Oct  6 2011 cs@linux-administrator.com
- Update to release 2.10:
  * see CHANGES for details
